using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATD_CFTemplate")]
public partial class AtdCftemplate
{
    public int? InstanceId { get; set; }

    public int? DocumentId { get; set; }

    public int? RevNum { get; set; }

    [StringLength(255)]
    [Unicode(false)]
    public string? RevStatus { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? RegId { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? DisasterNo { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? DocType { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? FirstName { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? LastName { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string? Address { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? City { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? State { get; set; }

    [StringLength(50)]
    [Unicode(false)]
    public string? Zip { get; set; }

    public DateOnly? RecDate { get; set; }
}
